services:
  db:
    image: mariadb:10.5
    environment:
      MYSQL_ROOT_PASSWORD: meteo
      MYSQL_USER: meteo
      MYSQL_PASSWORD: meteo
      MYSQL_DATABASE: meteo
    volumes:
      - ./mysqldb:/var/lib/mysql
  php:
    image: thecodingmachine/php:8.1-v4-apache
    environment:
      APACHE_DOCUMENT_ROOT: public/
      PHP_EXTENSIONS: "gd curl mbstring"
      TZ: Europe/Bratislava
      UPLOAD_LIMIT: 1000M
      PHP_EXTENSION_XDEBUG: 1
      PHP_INI_XDEBUG__REMOTE_AUTOSTART: 1
      XDEBUG_CONFIG: "remote_port=[9003] remote_autostart=1"
      DATABASE_URL: mysql://meteo:meteo@db/meteo
    volumes:
        - ./:/var/www/html
        - .:/sources
    ports:
        - 8080:80
  adminer:
    image: adminer:latest
    volumes:
      - ./uploads.ini:/usr/local/etc/php/conf.d/uploads.ini
    ports:
     - "8044:8080"

